tensorflowGPU安装出现ImportError 5C

win10+1080ti+CUDA9.0.176+cuDnn7.0.5+VS2015
使用anaconda3-5.1.0安装python版本为3.5.4,tensorflowGPU1.5,
import tensorflow 出现如下错误。该如何解决?
ImportError: DLL load failed: 找不到指定的模块。
ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow__init__.py", line 24, in
from tensorflow.python import *
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python__init__.py", line 49, in
from tensorflow.python import pywrap_tensorflow
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
return importlib.import_module(mname)
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\importlib__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "", line 985, in _gcd_import
File "", line 968, in _find_and_load
File "", line 957, in _find_and_load_unlocked
File "", line 666, in _load_unlocked
File "", line 577, in module_from_spec
File "", line 938, in create_module
File "", line 222, in _call_with_frames_removed
ImportError: DLL load failed: 找不到指定的模块。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in
pywrap_tensorflow_internal = swig_import_helper()
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
return importlib.import_module('_pywrap_tensorflow_internal')
File "D:\Programs\Anaconda3\envs\tensorflow_gpu\lib\importlib\
_init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_problems

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

1个回答

在anaconda中配置tensorflow-gpu的时候要注意安装的cuda,cudnn之间的版本一定要对应,不对应就会出错,你可以看看。我装的是cuda_9.0.176,cudnn-9.0-v7

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
UNBUNTU系统CUDA和TensorflowGPU安装
手把手带大家在UNBUNTU系统上,安装CUDA和TensorflowGPU,从而加快训练模型和模型检测的速度效率。
搭建服务器 出现错误ImportError: this is MySQLdb
在Fedora Core 6 安装Bigworld服务器工具,在/home/zhu/mf/bigworld/tools/server/install/目录下输入./install_tools.py命令,出现错误nn* Installing system servicesnn- Uninstalling existing system service 'bw_stat_logger'n+ Installing package: bw_stat_loggernStarting stat_logger: [ OK ]n- Uninstalling existing system service 'bw_message_logger'n+ Installing package: bw_message_loggernStarting message_logger: [ OK ]n- Uninstalling existing system service 'bw_web_console'n+ Installing package: bw_web_consolenStarting web_console: Traceback (most recent call last):n File "./start-web_console.py", line 15, in ?n import MySQLdbn File "/home/zhu/mf/bigworld/tools/server/pycommon/redist/mysql_python/MySQLdb/__init__.py", line 22, in ?n raise ImportError, "this is MySQLdb version %s, but _mysql is version %r" %\nImportError: this is MySQLdb version (1, 2, 1, 'final', 2), but _mysql is version (1, 2, 1, 'final', 1)n [FAILED]nCheck '/var/log/bigworld/web_console.log' for errorsn求大神帮忙解答,谢谢!
【初学Python】出现出现ImportError时
我在此就把,我遇到的问题给大家分享下,希望对你们有用:刚刚开始调用scipy.misc import imread时,代码没错但总是报出ImportError尝试了很多解决方案,但还是不行,后来看到一大神的博客,检查numpy、scipy、matplotlib、scikit-learn的版本是否更新到最新且符合当前Python版本:如果出现不是最新的版本,先卸载该版本:pip uninstall ...
mac安装pycurl后运行代码出现ImportError
刚入手mac,我的系统是13.13.3 ,使用的是python2.7,项目需要使用pycurl,安装后运行代码出现这个报错, ImportError: pycurl: libcurl link-time ssl backend (openssl) is different from compile-time ssl backend (none/other) WTF?这是个什么错误,查了好多,尝...
win10下python的tensorflowGPU版本安装问题
众所周知,tensorflow的gpu版本比cpu版本要快很多,可以更好的发挥显卡的潜力,但是安装起来比较容易出错。作为一个追求速度的人,在安装GPU版本的时候也产生了一些不打不小的错误,给各位分享一下解决方案。 首先的安装CUDA就不说了,自行百度其他博客。不过安装的时候得记住安装路径,后面要去用路径。 显示的错误在243 343行的时候,大概率是没有安装cudnn 首先说明一下,我这里没有截图...
【已解决】导入tensorflow出现ImportError
原先在Ubuntu16.04下运行的tensorflow是1.1版的,今天将Python升级为3.6.5版,用Anaconda安装了tensorflow1.4.1,安装没有出现问题提示,在导入tensorflow时出现: ImportError: /home/ctr/anaconda3/lib/python3.6/site-packages/tensorflow/python/../../.....
yum 命令时出现ImportError:问题
不知道是什么原因,怎么解决呢rn[root@Host001cbf543fd3 ~]# yum install ntpdatern已加载插件:langpacks, refresh-packagekitrnfedora/20/x86_64/metalink | 9.0 kB 00:00:01 rnupdates/20/x86_64/metalink | 4.5 kB 00:00:00 rnupdates | 4.9 kB 00:00:00 rnTraceback (most recent call last):rn File "/usr/libexec/urlgrabber-ext-down", line 22, in rn from urlgrabber.grabber import \rnImportError: No module named urlgrabber.grabberrnrnrn由于用户取消而退出rn[root@Host001cbf543fd3 ~]#
scrapy爬虫时出现ImportError,怎么办
[img=https://img-bbs.csdn.net/upload/201603/01/1456798894_642867.png][/img]rn为什么说cannot import name LinkExtractor?LinkExtractor不是内置的吗?本人是新手rn
devstack kilo安装求助, 和keystone相关的ImportError
我在虚拟机 Ubuntu 14.04 x64 Desktop中安装OpenStack,用的是devstack,devstack来自code.csdn.net。下载好devstack后切换到stable/kilo分支,运行安装脚本后,遇到了这个import error,重复运行多次都是这个同样的错误。rn[code=text]2016-07-20 13:24:59.780 | + echo 'setenv PROMPT_COMMAND /bin/true'rn2016-07-20 13:24:59.780 | + echo 'screen -t shell bash'rn2016-07-20 13:24:59.781 | + grep dstat /home/chao/devstack/stack-screenrcrn2016-07-20 13:24:59.784 | + screen -S stack -p dstat -X stuff 'dstat -tcmndrylpg --top-cpu-adv --top-io-adv & echo $! >/opt/sta'k/status/stack/dstat.pid; fg || echo "dstat failed to start" | tee "/opt/stack/status/stack/dstat.failure"rn2016-07-20 13:24:59.790 | + run_process peakmem_tracker /home/chao/devstack/tools/peakmem_tracker.shrn2016-07-20 13:24:59.791 | + local service=peakmem_trackerrn2016-07-20 13:24:59.791 | + local command=/home/chao/devstack/tools/peakmem_tracker.shrn2016-07-20 13:24:59.791 | + local group=rn2016-07-20 13:24:59.791 | + is_service_enabled peakmem_trackerrn2016-07-20 13:24:59.806 | + return 1rn2016-07-20 13:24:59.813 | + is_service_enabled keystonern2016-07-20 13:24:59.813 | + return 0rn2016-07-20 13:24:59.813 | + echo_summary 'Starting Keystone'rn2016-07-20 13:24:59.813 | + [[ -t 3 ]]rn2016-07-20 13:24:59.813 | + [[ True != \T\r\u\e ]]rn2016-07-20 13:24:59.813 | + echo -e Starting Keystonern2016-07-20 13:24:59.813 | + '[' 192.168.154.130 == 192.168.154.130 ']'rn2016-07-20 13:24:59.813 | + init_keystonern2016-07-20 13:24:59.814 | + is_service_enabled ldaprn2016-07-20 13:24:59.820 | + return 1rn2016-07-20 13:24:59.820 | + recreate_database keystonern2016-07-20 13:24:59.820 | + local db=keystonern2016-07-20 13:24:59.820 | + recreate_database_mysql keystonern2016-07-20 13:24:59.820 | + local db=keystonern2016-07-20 13:24:59.820 | + mysql -uroot -pstackdb -h127.0.0.1 -e 'DROP DATABASE IF EXISTS keystone;'rn2016-07-20 13:24:59.829 | + mysql -uroot -pstackdb -h127.0.0.1 -e 'CREATE DATABASE keystone CHARACTER SET utf8;'rn2016-07-20 13:24:59.856 | + /usr/local/bin/keystone-manage db_syncrn2016-07-20 13:25:00.933 | Traceback (most recent call last):rn2016-07-20 13:25:00.934 | File "/usr/local/bin/keystone-manage", line 6, in rn2016-07-20 13:25:00.934 | from keystone.cmd.manage import mainrn2016-07-20 13:25:00.934 | File "/opt/stack/keystone/keystone/cmd/manage.py", line 32, in rn2016-07-20 13:25:00.934 | from keystone.cmd import clirn2016-07-20 13:25:00.934 | File "/opt/stack/keystone/keystone/cmd/cli.py", line 24, in rn2016-07-20 13:25:00.934 | from oslo_log import versionutilsrn2016-07-20 13:25:00.935 | ImportError: cannot import name versionutilsrn2016-07-20 13:25:00.950 | + exit_traprn2016-07-20 13:25:00.952 | + local r=1rn2016-07-20 13:25:00.952 | ++ jobs -prn2016-07-20 13:25:00.953 | + jobs=rn2016-07-20 13:25:00.953 | + [[ -n '' ]]rn2016-07-20 13:25:00.953 | + kill_spinnerrn2016-07-20 13:25:00.953 | + '[' '!' -z '' ']'rn2016-07-20 13:25:00.953 | + [[ 1 -ne 0 ]]rn2016-07-20 13:25:00.953 | + echo 'Error on exit'rn2016-07-20 13:25:00.953 | Error on exitrn2016-07-20 13:25:00.953 | + generate-subunit 1469020399 701 failrn2016-07-20 13:25:01.941 | + [[ -z /opt/stack/logs ]]rn2016-07-20 13:25:01.941 | + /home/chao/devstack/tools/worlddump.py -d /opt/stack/logsrn2016-07-20 13:25:02.103 | df: '/mnt/hgfs': Protocol errorrn2016-07-20 13:25:02.139 | + exit 1rnchao@chao:~/devstack$ [/code]rn关键的地方在与rn [code=text]File "/usr/local/bin/keystone-manage", line 6, in rn from keystone.cmd.manage import mainrnFile "/opt/stack/keystone/keystone/cmd/manage.py", line 32, in rnfrom keystone.cmd import clirnFile "/opt/stack/keystone/keystone/cmd/cli.py", line 24, in rn from oslo_log import versionutilsrn ImportError: cannot import name versionutils[/code]rnrn我手动进入到Python交互式环境,发现 from oslo_log import versionutils确实不行,然后我又手动安装了oslo_log。 from oslo_log import versionutils测试可以成功。再次运行安装脚本,还是同样的错误。rn再次进入Python交互式环境,发现 from oslo_log import versionutils又不行了。貌似是安装脚本修改了什么。rnrn我在网上搜索了很久,发现没人遇到这个错误。 只知道oslo_log和oslo库相关,我对比了一下keystones的requirements和OpenStack的global-requirements,发现它们关于oslo.x的版本依赖并没有冲突。rnrn求助,好几天了,安装devstack都没成功。rn
安装蓝牙模块时遇到ImportError问题
我想构建beacon基站,参考了这个链接:http://www.theregister.co.uk/2013/11/29/feature_diy_apple_ibeacons/rnyum安装的时候报错:rnrn[root@Host001cbf543fd3 ~]# yum install libusb-dev libdbus-1-dev libglib2.0-dev libudev-dev libical-dev libreadline-dev rn已加载插件:langpacks, refresh-packagekitrnTraceback (most recent call last):rn File "/usr/libexec/urlgrabber-ext-down", line 22, in rn from urlgrabber.grabber import \rnImportError: No module named urlgrabber.grabberrnrnrn由于用户取消而退出rn[root@Host001cbf543fd3 ~]# yum install libusb-dev rn已加载插件:langpacks, refresh-packagekitrnTraceback (most recent call last):rn File "/usr/libexec/urlgrabber-ext-down", line 22, in rn from urlgrabber.grabber import \rnImportError: No module named urlgrabber.grabberrnrn应该怎么解决呢
ImportError解决办法
用如下的方式导入Model类,但是pycharm找不到该模块from models import BookInfo启动服务器也会报错:ImportError:'No module named models'改为:from booktest.models import BookInfoOK!...
学习笔记(三)ubuntu16.04下Anaconda及tensorflowGPU版本的安装配置
注:本文非标准教程,仅是总结个人学习过程,可能存在纰漏,如有错误之处欢迎留言告知,非常感谢 本文部分文字摘自黄文坚、唐源所编著的《Tensorflow实战》 Tensorflow最早由Google Brain的研究员和工程师开发,设计初衷是加速机器学习的研究,并快速地将研究原型转化为产品。 Tensorflow既是一个实现机器学习算法的接口,同时也是执行机器学习算法的框架。 它前端支持Py...
ImportError: No module named nose_parameterized
在学习Theano的过程中,为什么仅仅是from theano import sparse就出现这个错误
ImportError: No module named 'sklearn.model_selection'
环境:win10 anaconda3 ,python 3.5 rn问题:在jupyter notebook 中使用sklearn库时,报错:[color=#FF0000][b]ImportError: No module named 'sklearn.model_selection'[/b][/color]rn详细信息如图1所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261489_576021.png][/img][/align]rn[align=center]图1[/align]rn按照wisdom_bo博客所说在Anaconda prompty 输入:conda update scikit-learn来更新sklearn库。但是在unlinking packages的时候一直没有进度,电脑有网。如图2所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261686_557725.png][/img][/align]rn[align=center]图2[/align]rn请问大神这是怎么回事啊,我等了好久,大概一个小时也没有反应,即使包再大等一个小时总有进度吧,请求支援!!谢谢谢谢能有人解答!
ImportError: No module named '_pywrap_tensorflow_internal'
tensorflow==1.5.0 安装成功;继续安装gpu版本,按系统提示再安装 CUDA-9.0, cuDNN-7.0: cuda_9.0.176_win10_network以及patch1-4 / cudnn-9.0-windows10-x64-v7.3.1.20. 运行‘import tensorflow as tf’后报错: ImportError: No module named '_pywrap_tensorflow_internal'rnrn谢谢帮助rnrn ---------------------------------------------------------------------------rnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 17 try:rn---> 18 return importlib.import_module(mname)rn 19 except ImportError:rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _gcd_import(name, package, level)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _load_unlocked(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in module_from_spec(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap_external.py in create_module(self, spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _call_with_frames_removed(f, *args, **kwds)rnrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 57 rn---> 58 from tensorflow.python.pywrap_tensorflow_internal import *rn 59 from tensorflow.python.pywrap_tensorflow_internal import __version__rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in ()rn 20 return importlib.import_module('_pywrap_tensorflow_internal')rn---> 21 _pywrap_tensorflow_internal = swig_import_helper()rn 22 del swig_import_helperrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 19 except ImportError:rn---> 20 return importlib.import_module('_pywrap_tensorflow_internal')rn 21 _pywrap_tensorflow_internal = swig_import_helper()rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnImportError: No module named '_pywrap_tensorflow_internal'rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rn in ()rn----> 1 import tensorflow as tfrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py in ()rn 22 rn 23 # pylint: disable=wildcard-importrn---> 24 from tensorflow.python import *rn 25 # pylint: enable=wildcard-importrn 26 rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in ()rn 47 import numpy as nprn 48 rn---> 49 from tensorflow.python import pywrap_tensorflowrn 50 rn 51 # Protocol buffersrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 72 for some common reasons and solutions. Include the entire stack tracern 73 above this error message when asking for help.""" % traceback.format_exc()rn---> 74 raise ImportError(msg)rn 75 rn 76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-longrnrnImportError: Traceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helperrn return importlib.import_module(mname)rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rn File "", line 986, in _gcd_importrn File "", line 969, in _find_and_loadrn File "", line 958, in _find_and_load_unlockedrn File "", line 666, in _load_unlockedrn File "", line 577, in module_from_specrn File "", line 906, in create_modulern File "", line 222, in _call_with_frames_removedrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnTraceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in rn from tensorflow.python.pywrap_tensorflow_internal import *rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in rn _pywrap_tensorflow_internal = swig_import_helper()rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helperrn return importlib.import_module('_pywrap_tensorflow_internal')rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rnImportError: No module named '_pywrap_tensorflow_internal'rnrnrnFailed to load the native TensorFlow runtime.rnrnSee https://www.tensorflow.org/install/install_sources#common_installation_problemsrnrnfor some common reasons and solutions. Include the entire stack tracernabove this error message when asking for help.
ImportError: No module named django.db
#-*- coding:utf-8 -*-rnrnfrom django.db import modelsrnrnclass Topics(models.Model):rn """用户学习的主题"""rn text = models.CharField(max_length=200)rn date_added = models.DateTimeField(auto_now_add=ture)rnrn def __str__(self):rn """返回模型的字符串表示"""rn return self.text
ImportError: No module named sets
谁值得这个是什么错误啊rnlinux下rnTraceback (most recent call last):rn File "/usr/local/mpich2/bin/mpd", line 87, in ?rn from sets import Set as setrnImportError: No module named setsrn帮忙指点一下
ImportError: No module named 'matplotlib.externals'
如题,帮忙解决一下这个问题,谢谢!rnTraceback (most recent call last):rn File "E:\python34\test.py", line 1, in rn import matplotlib.pyplot as pltrn File "E:\python34\lib\site-packages\matplotlib\pyplot.py", line 21, in rn from matplotlib.externals import sixrnImportError: No module named 'matplotlib.externals'
ImportError: No module named java.lang.System
[root@localhost autodomain]# python createDomain.pyrnTraceback (most recent call last):rn File "createDomain.py", line 12, in rn import java.lang.SystemrnImportError: No module named java.lang.Systemrnrnrn我运行个小脚本,报错 怎么解决哇。。rnrn12行是import java.lang.System
ImportError: No module named naoqi
Traceback (most recent call last):rn File "", line 1, in rn import naoqirnImportError: No module named naoqirn有正在使用nao的朋友吗?
ImportError: No module named 'matplotlib'
![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139637_755846.png)n![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139654_86486.png)n怎么弄啊 我应该是安装matplotlid了的n怎么还说我没有
importError No module named multiarry
在terminal输入python后,执行命令报错:rn [code=python]rn import numpyrn import picklern import numpy.core.multiarrayrn data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','rb'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python]data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','r'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python] data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27'))[/code]rn继续报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrnrnrn在终端输入,感觉不存在编码问题;换了个机子用本机自带的python27运行报同样的错误!rnrn[color=#0000FF][b][size=16px]有没有哪位大神趟过相同的坑,恳请指教!至今没有解决问题~~~[/size][/b][/color]rnrn
ImportError: No module named pidlockfile
开启python的pyscada-daemon后,出现错误.错误详情:rn[img=https://img-bbs.csdn.net/upload/201603/21/1458541984_517128.png][/img]rnrn注:其中pyscada-daemon就是daemon,只是个别名
ImportError: No module named _md5
[color=#FF0000]安装python时,出现告警:[/color]rn*** WARNING: renaming "_hashlib" since importing it failed: build/lib.linux-i686-2.5/_hashlib.so: undefined symbol: EVP_MD_sizernrunning build_scriptsrnrn[color=#FF0000]尽管可正常安装,但是后续在安装setuptools-0.6c8时,会提示:[/color]baidu:/home/tt/software_zip # python ./ez_setup.py rnTraceback (most recent call last):rn File "./ez_setup.py", line 67, in rn except ImportError: from md5 import md5rn File "/usr/local/python2.5.4//lib/python2.5/md5.py", line 6, in rn from hashlib import md5rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 133, in rn md5 = __get_builtin_constructor('md5')rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 60, in __get_builtin_constructorrn import _md5rnImportError: No module named _md5rnrnopenssl已经试过了1.0版本,0.9.8版本;rnpython 已经试过了2.5.4/2.7.3/2.7.5/3.2 等版本,都有这个问题。rn求各位大神帮忙解答。rnlinux为SUSE
ImportError类型的错误解决方案
ImportError类型的错误解决方案 ImportError: Importing the multiarray numpy extension module failed. Most likely you are trying to import a failed build of numpy. If you’re working with a numpy git repo, try g...
ImportError: No module named os
我在配置Apache+mod_wsgi+Django的过程中,出现错误rn[Tue Sep 28 23:03:56 2010] [error] Traceback (most recent call last):rn[Tue Sep 28 23:03:56 2010] [error] File "E:/devspace/djtest/djtest/django.wsgi", line 1, in rn[Tue Sep 28 23:03:56 2010] [error] import sys, osrn[Tue Sep 28 23:03:56 2010] [error] ImportError: No module named osrnrn同样的工程,我在公司跑没问题,在家就出现这问题。rn有了解的告诉下,谢谢!
ImportError: No module named httplib
使用python编写脚本,提示ImportError: No module named httplib,在网上搜了下说是需要导入Django。我就在python官网上下了Django-1.6.1.tar.gz安装后,还是提示没有httplib,现在真不知道该怎么办了,请高手帮忙解决下
ImportError: No module named 请教
目录结构rnSrcrn |_MyApprn |_ MyApp.pyrn |_ MyFrame.pyrn |_ __init__.pyrnrn#MyApp.pyrnimport wxrnfrom MyApp.MyFrame import MyFrame rn#from MyFrame import MyFramernclass MyApp(wx.App):rn def __init__(self):rn wx.App.__init__(self)rn def OnInit(self):rn self.frame = MyFrame(None)rn self.frame.Show(True)rn self.SetTopWindow(self.frame) rn return Truernrnif __name__=="__main__":rn app = MyApp() rn app.MainLoop() rnrn运行时提示 ImportError: No module named iCMSApp.MainFramern请教下大家
python的小问题,关于importerror
rn在pycharm中写个python程序,包括FBCrawl.py,html_login.py,common/glovar.py,在glovar.py中定义了一个webdriver_browser, 要在FBCrawl.py和html_login.py中使用这个 webdriver_browser,就是一个项目中多个文件使用一个变量,主要功能是登录facebook 抓取网页内容,使用了selenium,运行时报错:说是importError,所以没能打印出html_cont的内容rn运行结果:[img=https://img-bbs.csdn.net/upload/201612/18/1482055230_933938.jpg][/img]rnC:\Python\Python36\python.exe C:/Python/PyCharmProject/FaceBookCrawl/FBCrawl.pyrnNonernException ignored in: >rnTraceback (most recent call last):rn File "C:\Python\Python36\lib\site-packages\selenium\webdriver\common\service.py", line 173, in __del__rn File "C:\Python\Python36\lib\site-packages\selenium\webdriver\common\service.py", line 149, in stoprn File "C:\Python\Python36\lib\site-packages\selenium\webdriver\common\service.py", line 120, in send_remote_shutdown_commandrn ImportError: sys.meta_path is None, Python is likely shutting downrnrn Process finished with exit code 0rnrnrn程序在这里rnrnFBCrwal.py:rnrnfrom common import glovarrnfrom html_login import HtmlLoginrnfrom selenium import webdriverrnrnif __name__ == '__main__':rnrn baseurl = "http://www.google.com"rn #log in the websitern login_url = "https://www.facebook.com/login.php?login_attempt=1&lwv=110"rn HtmlLogin().login(login_url)rn html_cont = glovar.webdriver_browser.get("https://www.facebook.com/alexis.n.griffith.3")rn print(html_cont)rnrnrnhtml_login.py:rnrnfrom selenium import webdriverrnrnfrom common import glovarrnrnrnclass HtmlLogin(object):rnrn def login(self,url):rn if url is None:rn returnrn login_url = urlrn glovar.webdriver_browser = webdriver.Chrome()rn glovar.webdriver_browser.get(login_url)rn #user credentialsrn user = glovar.webdriver_browser.find_element_by_css_selector("#email")rn user.send_keys('********@gmail.com')rn password = glovar.webdriver_browser.find_element_by_css_selector("#pass")rn password.send_keys('********')rn login = glovar.webdriver_browser.find_element_by_css_selector("#loginbutton")rn login.click()rnrnrnglovar.py:rnrnwebdriver_browser = Nonernrn项目路径:rn[img=https://img-bbs.csdn.net/upload/201612/18/1482055230_933938.jpg][/img]rn请各位帮忙看看案问题出在哪里,
ImportError: No module named fcntl
ImportError: No module named fcntl #fcntl.py #ImportError
学习绘制网络图时出现ImportError: No module named 'google'的问题
解决方法:pip install protobuf
python导入模块出现ImportError: No module named '...'问题解决方法总结
问题描述:在导入自己写的模块的时候,有时候会出现问题:ImportError: No module named 'xxx',前人已经总结的方法如下:(1) 使用sys.path.append来添加路径, 具体如下:import syssys.path.append("/path/your/code")(2)使用PYTHONPATH环境变量(3)将py文件放到site-packages目录下(4)使...
问题解决:Sklearn 出现 ImportError: DLL load failed: 找不到指定的模块
-卸载原有版本的numpy、sklearn和scipy pip uninstall XX 重新安装,但要注意顺序 先装Numpy\Scipy包,再安装Scikit-Learn
py2exe打包的程序出现ImportError: No module named paramiko
win7下 Python是2.7版本,在程序中import paramiko了,调试模式下也可以ssh连接Linux服务器了,但用了py2exe打包程序后,点击程序产生出一个日志文件,里面显示ImportError: No module named paramiko,程序也一闪而过了,我明明在程序中import paramiko了,我屏蔽掉import paramiko之后程序就不会一闪而过,但ssh也用不了了,所以应该是import paramiko语句在打包的时候没找到paramiko模块,调试下就可以找到。请教,这打包的时候该如何处理?
配置opencv出现ImportError: No module named cv2的错误解决办法之一
我是在Ubuntu14.04安装opencv3.2.0的时候出现的ImportError:No Module Named cv2 的错误,我出现这个错误的原因是在PYTHONPATH中少了一个路径,执行下面的命令将这个路径添加到里面去就可以了。 sudo vim /etc/profile 打开之后按i键进入编辑状态,在程序文本的末尾添加export PYTHONPATH=/usr/local/
Tensorflow安装后,import时出现错误:ImportError: DLL load failed: 找不到指定的模块
(作者:陈玓玏) tensorflow可以通过pip安装,也可以通过anaconda安装,但安装好之后,在python脚本中运行 import tensorflow as tf 时,却报错:ImportError: DLL load failed: 找不到指定的模块。 尝试了三种解决方案: 1) 一说是除了tensorflow,还要安装tensorflow-gpu 后来了解到,安装tensorf...
windows操作系统下通过Anaconda安装scrapy后出现ImportError: DLL load failed: 操作系统无法运行 %1
windows操作系统python版本是3.6.0通过Anaconda命令conda install scrapy安装scrapy,安装过程中没有问题。然后在命令行输入命令准备新建项目时,输入 scrapy startproject firstscrapy时出现了from cryptography.hazmat.bindings._openssl import ffi, lib ImportErr...
ImportError: No module named _tkinter和tk安装时缺乏依赖关系的解决
学习Python过程中使用到了turtle模块,import turtle发现并没有安装tk,但是安装却始终缺少依赖关系,于是又开始了一段学习之路. 标准解法 $ sudo apt-get install python-tk (download&install tk) 大部分人看到这里应该问题已经解决了,但是如果安装时出现缺乏一大堆依赖关系的问题,请往下看! 然...
安装xgboost过程中,报错ImportError: No module named numpy.distutils.core
安装xgboost过程中,在Python-package下执行python setup.py install命令时提示rnrnTraceback (most recent call last):rn File "setup.py", line 42, in rn url='https://github.com/dmlc/xgboost')rn File "F:\python2.7.6\lib\distutils\core.py", line 152, in setuprn dist.run_commands()rn File "F:\python2.7.6\lib\distutils\dist.py", line 953, in run_commandsrn self.run_command(cmd)rn File "F:\python2.7.6\lib\distutils\dist.py", line 972, in run_commandrn cmd_obj.run()rn File "build\bdist.win32\egg\setuptools\command\install.py", line 67, in runrn File "build\bdist.win32\egg\setuptools\command\install.py", line 117, in do_egg _installrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 411, in r unrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 655, in e asy_installrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 702, in i nstall_itemrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 747, in p rocess_distributionrn File "build\bdist.win32\egg\pkg_resources\__init__.py", line 846, in resolvern File "build\bdist.win32\egg\pkg_resources\__init__.py", line 1118, in best_matc hrn File "build\bdist.win32\egg\pkg_resources\__init__.py", line 1130, in obtainrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 674, in e asy_installrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 700, in i nstall_itemrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 881, in i nstall_eggsrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 1120, in build_and_installrn File "build\bdist.win32\egg\setuptools\command\easy_install.py", line 1106, in run_setuprn File "build\bdist.win32\egg\setuptools\sandbox.py", line 258, in run_setuprn File "F:\python2.7.6\lib\contextlib.py", line 35, in __exit__rn self.gen.throw(type, value, traceback)rn File "build\bdist.win32\egg\setuptools\sandbox.py", line 198, in setup_contextrn File "F:\python2.7.6\lib\contextlib.py", line 35, in __exit__rn self.gen.throw(type, value, traceback)rn File "build\bdist.win32\egg\setuptools\sandbox.py", line 169, in save_modulesrn File "build\bdist.win32\egg\setuptools\sandbox.py", line 144, in resumern File "build\bdist.win32\egg\setuptools\sandbox.py", line 157, in save_modulesrn File "build\bdist.win32\egg\setuptools\sandbox.py", line 198, in setup_contextrn File "build\bdist.win32\egg\setuptools\sandbox.py", line 255, in run_setuprn File "build\bdist.win32\egg\setuptools\sandbox.py", line 285, in runrn File "build\bdist.win32\egg\setuptools\sandbox.py", line 253, in runnerrn File "build\bdist.win32\egg\setuptools\sandbox.py", line 47, in _execfilern File "c:\users\admini~1\appdata\local\temp\easy_install-pxqv7f\scipy-0.19.0\set up.py", line 416, in rnrn File "c:\users\admini~1\appdata\local\temp\easy_install-pxqv7f\scipy-0.19.0\set up.py", line 396, in setup_packagernrnImportError: No module named numpy.distutils.corern
python2.7安装sklearn报错:ImportError: DLL load failed
import sklearnn报错:nTraceback (most recent call last):n File "", line 1, in n import sklearnn File "D:\Python27\lib\site-packages\scikit_learn-0.15.2-py2.7-win-amd64.egg\sklearn\__init__.py", line 38, in n from .base import clonen File "D:\Python27\lib\site-packages\scikit_learn-0.15.2-py2.7-win-amd64.egg\sklearn\base.py", line 10, in n from scipy import sparsen File "D:\Python27\lib\site-packages\scipy\sparse\__init__.py", line 182, in n from .csr import *n File "D:\Python27\lib\site-packages\scipy\sparse\csr.py", line 15, in n from .sparsetools import csr_tocsc, csr_tobsr, csr_count_blocks, \n File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools\__init__.py", line 5, in n from .csr import *n File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools\csr.py", line 26, in n _csr = swig_import_helper()n File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools\csr.py", line 22, in swig_import_helpern _mod = imp.load_module('_csr', fp, pathname, description)nImportError: DLL load failed: %1 不是有效的 Win32 应用程序。nn用的python2.7.9,我已经安装了numpy1.9.1,scipy0.12.0,sklearn0.15.1,这些都是支持64位系统的,遇到这个问题我该怎么办
相关热词 c# 线程结束时执行 c# kb mb 图片 c# 替换第几位字符 c#项目决定成败 c# 与matlab c# xml缩进 c#传感器基础 c#操作wps c# md5使用方法 c# 引用父窗口的组件